<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['packingList']) $packingList=$_GET['packingList']; else $packingList=$_POST['packingList'];
if($_GET['palet']) $palet=$_GET['palet']; else $palet=$_POST['palet'];
if($_GET['cadenaCajas']) $cadenaCajas=$_GET['cadenaCajas']; else $cadenaCajas=$_POST['cadenaCajas'];

$cadenaEnvio='';

$cajas=explode(';',$cadenaCajas);

foreach($cajas as $caja) {
	$cadenaEnvio.='*PXPackingListSGAPaletCaja'.PHP_EOL;		
	$cadenaEnvio.='NumeroPL='.$packingList.PHP_EOL;
	$cadenaEnvio.='Matricula='.$palet.PHP_EOL;
	$cadenaEnvio.='Caja='.$caja.PHP_EOL;
	$cadenaEnvio.='*FIN'.PHP_EOL;
}



echo nl2br($cadenaEnvio);
		
$resultado=EnviarDatos($wsUsuario,$wsClave,base64_encode(utf8_decode($cadenaEnvio)));
	
echo "<p>RESULTADO OBTENIDO</p>";
print_r($resultado['EnviarDatosResult']);
?>